Bug 801077 - Review Request: fcitx-libpinyin - Libpinyin Wrapper for Fcitx
Review Request: fcitx-libpinyin - Libpinyin Wrapper for Fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 10:54 EST by Liang Suilong
Modified: 2012-05-26 02:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: fcitx-libpinyin-0.1.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:27:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-03-07 10:54:27 EST
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-libpinyin.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-libpinyin-0.1.0-1.fc16.src.rpm
Description: 
Fcitx-libpinyin is a libpinyin Wrapper for Fcitx.
Libpinyin is a Frontend of the Intelligent Pinyin IME Backend.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3864235
Comment 1 Parag AN(पराग) 2012-04-26 05:18:23 EDT
Review:-
+ koji scratch build for f17 ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4023812

+ rpmlint on rpms gave
fcitx-libpinyin.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)
fcitx-libpinyin.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-libpinyin-0.1.0_dict.tar.bz2 HTTP Error 404: Not Found
fcitx-libpinyin.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Source verified with upstream as (sha1sum)
de5b67fd10357885bc0386cb887ea09e5c48a53f  fcitx-libpinyin-0.1.0_dict.tar.bz2
de5b67fd10357885bc0386cb887ea09e5c48a53f  ../SOURCES/fcitx-libpinyin-0.1.0_dict.tar.bz2

+ Package: fcitx-libpinyin-0.1.0-1.fc17.x86_64
Provides: fcitx-libpinyin.so()(64bit)
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libgcc_s.so.1()(64bit) libgcc_s.so.1(GCC_3.0)(64bit) libglib-2.0.so.0()(64bit) libpinyin.so.0()(64bit) libpinyin.so.0(LIBPINYIN)(64bit) libstdc++.so.6()(64bit) libstdc++.so.6(CXXABI_1.3)(64bit) rtld(GNU_HASH)


Suggestions:-
1) Fix the rpmlint messages. 
  a) mixed-use-of-spaces-and-tabs message can be fixed using command
     sed -i 's|\t| |g' fcitx-libpinyin.spec

2) If package is only for Fedora then no need to add
  a) %clean section (see
http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
  b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
  c) remove line %defattr(-,root,root,-)

3) please don't use commands in macro that is change %{__mkdir} to "mkdir"

4) package should add Requires:fcitx

5) Use following commands in %build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}

6) You need to use
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache as you are
installing icon files.

7) %install should preserve timestamp using 
   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

8) Package does not own some of directories so change %files to

%{_datadir}/fcitx/addon/
%{_datadir}/fcitx/configdesc/
%{_datadir}/fcitx/inputmethod/
Comment 2 Parag AN(पराग) 2012-04-26 05:47:21 EDT
9) and yes as per rpmlint %doc is missing. Add like this to spec
%doc AUTHORS COPYING README
Comment 3 Parag AN(पराग) 2012-04-26 06:01:27 EDT
Ok you can drop 8) suggestion as I see fcitx-data actually owns those directories but I see bug in fcitx that it does not own %{_datadir}/%{name}/inputmethod/

Please fix first bug https://bugzilla.redhat.com/show_bug.cgi?id=816513
Comment 4 Liang Suilong 2012-04-27 01:23:55 EDT
I have pushed the latest fcitx build to updates-testing.

And I update the fcitx-libpinyin to the latest one.

SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-libpinyin-0.1.1-1.fc16.src.rpm
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-libpinyin.spec
Koji build for F17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4026053
Koji build for Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4026037
Comment 5 Parag AN(पराग) 2012-04-27 02:16:56 EDT
1) Are you going to push this for EPEL? If not then 
  a) %clean section (see
http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
  b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
  c) remove line %defattr(-,root,root,-)

2) Missing Requires: fcitx

3) rpmlint on rpms gave
fcitx-libpinyin.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)
fcitx-libpinyin.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-libpinyin-0.1.1_dict.tar.xz HTTP Error 404: Not Found
fcitx-libpinyin.x86_64: E: incorrect-fsf-address /usr/share/doc/fcitx-libpinyin-0.1.1/COPYING
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

==> as shown above comment1, you can fix mixed-use-of-spaces-and-tabs and for  incorrect-fsf-address, you can ask upstream to change the address. invalid-url warning can be ignored.
Comment 6 Liang Suilong 2012-04-27 13:15:02 EDT
The spec file and SRPM have been updated.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4029319
SRPM:http://liangsuilong.fedorapeople.org/fcitx/fcitx-libpinyin-0.1.1-1.fc16.src.rpm
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-libpinyin.spec


(In reply to comment #5)
> 1) Are you going to push this for EPEL? If not then 
>   a) %clean section (see
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
>   b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
>   c) remove line %defattr(-,root,root,-)

i hope the package will push to EPEL. 

> 2) Missing Requires: fcitx

Fcitx has been added.

> 3) rpmlint on rpms gave
> fcitx-libpinyin.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
> line 5)
> fcitx-libpinyin.src: W: invalid-url Source0:
> http://fcitx.googlecode.com/files/fcitx-libpinyin-0.1.1_dict.tar.xz HTTP Error
> 404: Not Found
> fcitx-libpinyin.x86_64: E: incorrect-fsf-address
> /usr/share/doc/fcitx-libpinyin-0.1.1/COPYING
> 2 packages and 0 specfiles checked; 1 errors, 2 warnings.
> 
> ==> as shown above comment1, you can fix mixed-use-of-spaces-and-tabs and for 
> incorrect-fsf-address, you can ask upstream to change the address. invalid-url
> warning can be ignored.

Invalid-url warning is ignored. I can click the url and download the source tarball. And another issues are fixed.
Comment 7 Parag AN(पराग) 2012-04-30 02:15:47 EDT
Thanks for the update.

Package is now APPROVED.
Comment 8 Liang Suilong 2012-05-02 12:09:54 EDT
New Package SCM Request
=======================
Package Name: fcitx-libpinyin
Short Description: Fcitx-libpinyin is a libpinyin Wrapper for Fcitx.
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 9 Gwyn Ciesla 2012-05-03 09:09:59 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-05-03 11:23:04 EDT
fcitx-libpinyin-0.1.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-libpinyin-0.1.1-1.fc16
Comment 11 Fedora Update System 2012-05-03 11:23:14 EDT
fcitx-libpinyin-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-libpinyin-0.1.1-1.fc17
Comment 12 Fedora Update System 2012-05-03 18:54:58 EDT
fcitx-libpinyin-0.1.1-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 13 Fedora Update System 2012-05-14 13:27:59 EDT
fcitx-libpinyin-0.1.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-05-26 02:55:02 EDT
fcitx-libpinyin-0.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.